// Oleg Petruny proprietary.

#include "CommonFunctions.h"

#include "InputCoreTypes.h"
#include "UObject/Object.h"


bool CommonFunctions::IsNonGameObject(UObject* object)
{
    if(object->HasAnyFlags(RF_ClassDefaultObject | RF_ArchetypeObject))
        return true;

    return false;
}

FText CommonFunctions::GetKeyDisplayName(FKey key)
{
    if(key == EKeys::MouseWheelAxis)
    {
        return NSLOCTEXT("KeyDisplayNames", "MouseWheelAxis", "Mouse Wheel");
    }

    return key.GetDisplayName(false);
}
